include Java

require 'rubygems'
require 'rubeus'

class MouseHandler
	include Rubeus::Awt
	include Rubeus::Swing
	
	def initialize param
	  @presen = param[:presen]
	  @frame = param[:frame]
	  @message = param[:message]
 	  @large_font = Font.new "Default", 0, 72
	  @small_font = Font.new "Default", 0, 12
	  self.large
 end
  
	def mouseClicked event
		@message.set_foreground Color.white
  end
  
	def mousePressed event
	  if $slide_number < $load_message.length - 1
	    $slide_number += 1
    else
      $slide_number = $load_message.length - 1
    end
		@message.set_foreground Color.darkGray
    @message.set_text $load_message[$slide_number][:message]
    @presen.do_extention if $load_message[$slide_number][:extention]
  end
  
  def mouseReleased event
		@message.set_foreground Color.gray
  end
  
  def mouseEntered event
	 large
  end
  
  def mouseExited event
 	 small
  end
  
  def large
	  @frame.set_size 1200, 700
	  @message.set_font @large_font
  end
  
  def small
    @frame.set_size 200, 100
    @message.set_font @small_font
  end
end