include Java

require 'rubygems'
require 'rubeus'

class KeyHandler
	include Rubeus::Awt
	include Rubeus::Swing
	include KeyListener

 	def initialize param
 	  @presen = param[:presen]
 	  @frame = param[:frame]
 	  @message = param[:message]
  end
  
  def keyPressed event
    case event.get_key_code
    when java.awt.event.KeyEvent::VK_RIGHT # next page - right arrow
  	  if $slide_number < $load_message.length - 1
  	    $slide_number += 1
	    else
	      $slide_number = $load_message.length - 1
      end
	    @message.set_text $load_message[$slide_number][:message]
      @presen.do_extention if $load_message[$slide_number][:extention]
    when java.awt.event.KeyEvent::VK_LEFT # previous page - left arrow
  	  if $slide_number > 0
  	    $slide_number -= 1
  	    @message.set_text $load_message[$slide_number][:message]
        @presen.do_extention if $load_message[$slide_number][:extention]
  	  end
	  when java.awt.event.KeyEvent::VK_L # reload - L
	    @presen.load
    when java.awt.event.KeyEvent::VK_S # change window size to small - S
	    @presen.small
    end
		@message.set_foreground Color.darkGray
  end
  
  def keyTyped event
		@message.set_foreground Color.gray
  end
  
  def keyReleased event
		@message.set_foreground Color.white
  end
end